#
# spec file for package usrsctp
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover 2
%define _lto_cflags %{nil}

Name:           usrsctp
Version:        0.9.5.0
Release:        1.13
Summary:        Userland SCTP implementation
License:        BSD-3-Clause
Group:          Productivity/Networking/Other
URL:            https://github.com/sctplab/usrsctp/
Source:         https://github.com/sctplab/usrsctp/archive/%{version}.tar.gz
# for run bootstrap
BuildRequires:  automake
BuildRequires:  libtool

%description
This is the reference implementation for userland SCTP.

%package -n lib%{name}%{sover}
Summary:        Usrsctp Library
Group:          System/Libraries

%description -n lib%{name}%{sover}
The libraries for usersctp.

%package devel
Summary:        Usersctp Development Kit 
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{sover} = %{version}

%description devel
The development files for usersctp.

%prep
%autosetup -p1

%build
./bootstrap
%configure --disable-debug --disable-warnings-as-errors --disable-static
%make_build

%install
%make_install
# remove .la files
rm -f %{buildroot}%{_libdir}/lib*.la

%post -n lib%{name}%{sover} -p /sbin/ldconfig

%postun -n lib%{name}%{sover} -p /sbin/ldconfig

%files -n lib%{name}%{sover}
%license LICENSE.md
%{_libdir}/*.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/*.so

%changelog
* Thu Feb  4 2021 Jiri Slaby <jslaby@suse.cz>
- update to 0.9.5.0
  * sover incremented to 2
- drop local license file and use the provided one
* Tue Dec 22 2020 Jan Engelhardt <jengelh@inai.de>
- Drop static libraries, remove %%defattr, remove doubly-shipped
  documentation, fixup groups.
- Service needs to be disabled for Factory.
* Mon Dec 21 2020 Michael Ströder <michael@stroeder.com>
- .spec cleaning according to review in #857012
* Fri Mar 20 2020 Ancor Gonzalez Sosa <ancor@suse.com>
- Disabled LTO to make it build in Tumbleweed
  * Not sure whether this is the best possible fix
* Thu Jul 12 2018 vmoutoussamy@suse.com
- Update to usrsctp 0.9.3.0
  * Using source code from the new and official home project:
  https://github.com/sctplab/usrsctp
* Thu Oct 23 2014 mlin@suse.com
- initial import from svn
